com.trendmicro.ds.platform.rest.object.scheduledtask

## Class GenerateReportTaskParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.GenerateReportTaskParameters

- All Implemented Interfaces:
    ITaskParameters

      public class GenerateReportTaskParameters
      extends java.lang.Object
      implements ITaskParameters

  Parameters for generate report task.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GenerateReportTaskParameters.Classification` Report Classification

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateReportTaskParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenerateReportTaskParameters.Classification` | `getClassification()` Get the report classification.
    `ReportTemplate.Format` | `getFormat()` Get the report format.
    `HostFilter` | `getHostFilter()` Get the host filter.
    `Recipients` | `getRecipients()` Get the report recipients.
    `java.lang.Integer` | `getReportID()` Get the report identifier.
    `TagFilter` | `getTagFilter()` Get the tag filter.
    `TimeRange` | `getTimeRange()` Get the time range.
    `void` | `setClassification(GenerateReportTaskParameters.Classification classification)` Set the report classification.
    `void` | `setFormat(ReportTemplate.Format format)` Set the report format.
    `void` | `setHostFilter(HostFilter hostFilter)` Set the host filter.
    `void` | `setRecipients(Recipients recipients)` Set the report recipients.
    `void` | `setReportID(java.lang.Integer reportID)` Set the report identifier.
    `void` | `setTagFilter(TagFilter tagFilter)` Set the tag filter.
    `void` | `setTimeRange(TimeRange timeRange)` Set the time range.
    `java.lang.String` | `toString()`
    `GenerateReportTaskParameters` | `withClassification(GenerateReportTaskParameters.Classification classification)` Set the report classification.
    `GenerateReportTaskParameters` | `withFormat(ReportTemplate.Format format)` Set the report format.
    `GenerateReportTaskParameters` | `withHostFilter(HostFilter hostFilter)` Set the host filter.
    `GenerateReportTaskParameters` | `withRecipients(Recipients recipients)` Set the report recipients.
    `GenerateReportTaskParameters` | `withReportID(java.lang.Integer reportID)` Set the report identifier.
    `GenerateReportTaskParameters` | `withTagFilter(TagFilter tagFilter)` Set the tag filter.
    `GenerateReportTaskParameters` | `withTimeRange(TimeRange timeRange)` Set the time range.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateReportTaskParameters

          public GenerateReportTaskParameters()

  - ### Method Detail

    - #### getReportID

          public java.lang.Integer getReportID()

      Get the report identifier.
      Returns:
        the report identifier.

    - #### setReportID

          public void setReportID(java.lang.Integer reportID)

      Set the report identifier.
      Parameters:
        `reportID` - the report identifier.

    - #### withReportID

          public GenerateReportTaskParameters withReportID(java.lang.Integer reportID)

      Set the report identifier.
      Parameters:
        `reportID` - the report identifier.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### getFormat

          public ReportTemplate.Format getFormat()

      Get the report format.
      Returns:
        the report format.

    - #### setFormat

          public void setFormat(ReportTemplate.Format format)

      Set the report format.
      Parameters:
        `format` - the report format.

    - #### withFormat

          public GenerateReportTaskParameters withFormat(ReportTemplate.Format format)

      Set the report format.
      Parameters:
        `format` - the report format.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### getClassification

          public GenerateReportTaskParameters.Classification getClassification()

      Get the report classification.
      Returns:
        the report classification.

    - #### setClassification

          public void setClassification(GenerateReportTaskParameters.Classification classification)

      Set the report classification.
      Parameters:
        `classification` - the report classification.

    - #### withClassification

          public GenerateReportTaskParameters withClassification(GenerateReportTaskParameters.Classification classification)

      Set the report classification.
      Parameters:
        `classification` - the report classification.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### getRecipients

          public Recipients getRecipients()

      Get the report recipients.
      Returns:
        the report recipients.

    - #### setRecipients

          public void setRecipients(Recipients recipients)

      Set the report recipients.
      Parameters:
        `receipients` - the report recipients.

    - #### withRecipients

          public GenerateReportTaskParameters withRecipients(Recipients recipients)

      Set the report recipients.
      Parameters:
        `receipients` - the report recipients.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### getTimeRange

          public TimeRange getTimeRange()

      Get the time range.
      Returns:
        the time range.

    - #### setTimeRange

          public void setTimeRange(TimeRange timeRange)

      Set the time range.
      Parameters:
        `timeRange` - the time range.

    - #### withTimeRange

          public GenerateReportTaskParameters withTimeRange(TimeRange timeRange)

      Set the time range.
      Parameters:
        `timeRange` - the time range.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### getTagFilter

          public TagFilter getTagFilter()

      Get the tag filter.
      Returns:
        the tag filter.

    - #### setTagFilter

          public void setTagFilter(TagFilter tagFilter)

      Set the tag filter.
      Parameters:
        `tagFilter` - the tag filter.

    - #### withTagFilter

          public GenerateReportTaskParameters withTagFilter(TagFilter tagFilter)

      Set the tag filter.
      Parameters:
        `tagFilter` - the tag filter.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### getHostFilter

          public HostFilter getHostFilter()

      Get the host filter.
      Returns:
        the host filter.

    - #### setHostFilter

          public void setHostFilter(HostFilter hostFilter)

      Set the host filter.
      Parameters:
        `hostFilter` - the host filter.

    - #### withHostFilter

          public GenerateReportTaskParameters withHostFilter(HostFilter hostFilter)

      Set the host filter.
      Parameters:
        `hostFilter` - the host filter.
      Returns:
        the updated GenerateReportTaskParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.